# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = BMP2PP.exe
OBJFILES = BMP2PP.obj BMP2PPMain.obj BMP2PPBitmapForm.obj \
   BMP2PPProgressForm.obj BMP2PPAboutForm.obj BMP2PPProcs.obj _pp2bmp.obj \
   _bmp2pp.obj BMP2PPReadMeForm.obj
RESFILES = BMP2PP.res
RESDEPEN = $(RESFILES) BMP2PPMain.dfm BMP2PPBitmapForm.dfm \
   BMP2PPProgressForm.dfm BMP2PPAboutForm.dfm BMP2PPReadMeForm.dfm
LIBFILES =
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -O2 -O-S -w -k- -r -vi -c -a4 -b- -w-par -w-inl -Vx -Ve -x -pr
CFLAG2 = -DGOT_INLINE \
   -I$(BCB)\mdk;$(BCB)\projects;$(BCB)\examples\controls;$(BCB)\include;$(BCB)\include\vcl \
   -H=$(BCB)\lib\vcl.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -DGOT_INLINE \
   -U$(BCB)\mdk;$(BCB)\projects;$(BCB)\examples\controls;$(BCB)\lib\obj;$(BCB)\lib \
   -I$(BCB)\mdk;$(BCB)\projects;$(BCB)\examples\controls;$(BCB)\include;$(BCB)\include\vcl \
   -$L- -$D- -JPHNV -M     
RFLAGS = -DGOT_INLINE \
   -i$(BCB)\mdk;$(BCB)\projects;$(BCB)\examples\controls;$(BCB)\include;$(BCB)\include\vcl 
LFLAGS = -L$(BCB)\mdk;$(BCB)\projects;$(BCB)\examples\controls;$(BCB)\lib\obj;$(BCB)\lib \
   -aa -Tpe -x -V4.0

IFLAGS = 
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib 
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES) 
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $* 

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------
