//---------------------------------------------------------------------------
#ifndef BMP2PPProcsH
#define BMP2PPProcsH
//---------------------------------------------------------------------------
typedef unsigned char byte;

int SetTBitmapBits (Graphics::TBitmap *bitmap,
                 int nBitsPerPixel, int nColoursUsed,
                 int nWidthImageBuffer,
                 int nWidthImage, int nHeightImage,
                 byte *pBitmapBits, byte *pPalette);

int GetTBitmapBits (Graphics::TBitmap *bitmap,
                int *nWidth,int *nHeight,
                byte **pBitmapBytes);

int bmp2pp
  (byte *_bmp,int *width,int *height,byte *pp,
   byte *palette,int dither,int max_error,
   int w1,int w2,int w3,int w4,int noiselevel,
   int scale,int interpolate,int centre,
   float _gamma,int brightness,int greyscale,int *filter,
   int monochrome,
   int (*callback_function)(char*message,int progress));
int pp2bmp (byte *pp,int width,int height,byte *bmp,byte *palette);

#endif
